﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RTL_Columns
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            InitData();

            c1FlexGrid1.DrawMode = C1.Win.C1FlexGrid.DrawModeEnum.OwnerDraw;
            c1FlexGrid1.OwnerDrawCell += C1FlexGrid1_OwnerDrawCell;
        }

        private void InitData()
        {
            // English
            c1FlexGrid1.Cols[1].Caption = "English";
            c1FlexGrid1[1, 1] = "One";
            c1FlexGrid1[2, 1] = "Two";
            c1FlexGrid1[3, 1] = "Three";
            c1FlexGrid1[4, 1] = "Four";
            c1FlexGrid1[5, 1] = "Five";

            // Arabic
            c1FlexGrid1.Cols[2].Caption = "Arabic";
            c1FlexGrid1[1, 2] = "واحد";
            c1FlexGrid1[2, 2] = "اثنان";
            c1FlexGrid1[3, 2] = "ثلاثة";
            c1FlexGrid1[4, 2] = "أربعة";
            c1FlexGrid1[5, 2] = "خمسة";
        }

        private void C1FlexGrid1_OwnerDrawCell(object sender, C1.Win.C1FlexGrid.OwnerDrawCellEventArgs e)
        {
            if (e.Col == 2 && e.Row >= c1FlexGrid1.Rows.Fixed)
            {
                string text = e.Text;
                Font font = e.Style.Font;
                Color foreColor = e.Style.ForeColor;
                RectangleF rect = e.Bounds;
                StringFormat format = new StringFormat(StringFormatFlags.DirectionRightToLeft);

                e.Graphics.DrawString(text, font, new SolidBrush(foreColor), rect, format);
                e.DrawCell(C1.Win.C1FlexGrid.DrawCellFlags.All & ~C1.Win.C1FlexGrid.DrawCellFlags.Content);
            }
        }
    }
}
